> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paginated data rows from a node output in a workflow execution



## OpenAPI

````yaml /openapi/workflows.json post /workflows/executions/{executionId}/node-data
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/executions/{executionId}/node-data:
    post:
      tags:
        - Workflows
      summary: Get paginated data rows from a node output in a workflow execution
      operationId: workflows.executions.getNodeData
      parameters:
        - name: executionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                nodeId:
                  type: string
                  minLength: 1
                handle:
                  type: string
                  minLength: 1
                limit:
                  type: integer
                  minimum: 1
                  maximum: 1000
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                search:
                  type: string
                  maxLength: 200
              required:
                - nodeId
                - handle
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      columns:
                        type: array
                        items:
                          type: string
                      rows:
                        type: array
                        items:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                      totalRows:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      object: {}
                    required:
                      - columns
                      - rows
                      - totalRows
                  - type: 'null'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````